package com.ruoyi.jjh.ent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 项目表(JProject)表实体类
 *
 * @author makejava
 * @since 2024-03-25 11:49:34
 */
@ApiModel("项目表")
@TableName(value = "j_project")
@Data
public class JProject{
    /**
     * Id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("Id")
    private Long id;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    @ApiModelProperty("项目名称")
    private String projectName;


    /**
     * 项目分类
     */
    @Excel(name = "项目分类", readConverterExp = "1=总部经济," +
            "2=自主品牌先进技术研究院," +
            "3=省现代服务业重点项目2023," +
            "4=省现代服务业重点项目2024," +
            "5=省市服务业领军企业-园区内各级省市服务业领军," +
            "6=省市服务业领军企业-苏州市全量服务业领军企业," +
            "7=省级现代服务业聚集区," +
            "8=两业融合试点单位," +
            "9=楼宇经济-苏州市全量楼宇经济奖励名单," +
            "10=楼宇经济-园区内楼宇经济奖励名单," +
            "11=工业设计中心-苏州市全量工业设计中心," +
            "12=工业设计中心-园区内各级工业设计中心," +
            "13=工业设计研究院," +
            "14=工业设计中心-园区内工业设计研究院," +
            "15=服务型制造示范-苏州市全量服务型制造示范," +
            "16=服务型制造示范-园区内各级服务型制造示范")
    @ApiModelProperty("项目分类")
    private Integer projectClassify;

    /**
     * 申报单位
     */
    @Excel(name = "申报单位")
    @ApiModelProperty("申报单位")
    private String declareUnit;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String projectYear;

    /**
     * 其余字段和数据
     */
    @Excel(name = "其余字段和数据")
    @ApiModelProperty("其余字段和数据")
    private String otherJson;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer status;
}

